# GBCustomerSatisfactionPackage | botserver

### Hierarchy

- GBCustomerSatisfactionPackage

### Implements

- any

## Index

### Properties

- sysPackages

### Methods

- loadBot
- loadPackage
- onNewSession
- unloadBot
- unloadPackage

## Properties

### sysPackages

sysPackages: IGBPackage[] = null

- Defined in deploy/customer-satisfaction.gbapp/index.ts:44

## Methods

### loadBot

- loadBot(min: GBMinInstance): void

- - Defined in deploy/customer-satisfaction.gbapp/index.ts:53

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### loadPackage

- loadPackage(core: IGBCoreService, sequelize: Sequelize): void

- - Defined in deploy/customer-satisfaction.gbapp/index.ts:45

  #### Parameters

  - ##### core: IGBCoreService

  - ##### sequelize: Sequelize

  #### Returns void

### onNewSession

- onNewSession(min: GBMinInstance, dc: any): void

- - Defined in deploy/customer-satisfaction.gbapp/index.ts:60

  #### Parameters

  - ##### min: GBMinInstance

  - ##### dc: any

  #### Returns void

### unloadBot

- unloadBot(min: GBMinInstance): void

- - Defined in deploy/customer-satisfaction.gbapp/index.ts:57

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### unloadPackage

- unloadPackage(core: IGBCoreService): void

- - Defined in deploy/customer-satisfaction.gbapp/index.ts:50

  #### Parameters

  - ##### core: IGBCoreService

  #### Returns void

Generated using TypeDoc